package com.kcim.service;


import com.kcim.dao.model.CostColumn;

/**
 * 成本报表列管理表
 *
 * @author Wang.YS
 * @date 2023-11-01 10:41:08
 */
public interface CostColumnService  {
    /**
     * 报表管理-报表列管理-获取
     * @param current 当前页
     * @param pageSize 页容量
     * @param columnName 列名称
     * @param columnType 列类型
     * @return 列表数据
     */
    Object getColumnList(Integer current, Integer pageSize, String columnName, String columnType);
    /**
     * 获取报表列字典
     * @return  列字典
     */
    Object getColumnType();
    /**
     * 新增报表列
     * @param column 报表列对象
     * @return 无返回值
     */
    void addColumn(CostColumn column);
    /**
     * 编辑报表列
     * @param column 报表列对象
     */
    void editColumn(CostColumn column);

    /**
     * 删除报表列
     * @param id 主键
     */
    void deleteColumn(Integer id);

    Object getChildColumnList(Long columnCode);
}

